Name:         ocrad
URL:          https://savannah.gnu.org/projects/ocrad/
Summary:      GNU Ocrad is an Optical Character Recognition Program
Version:      0.16
Release:      1%{?dist}
Group:        Productivity/Graphics/Other
License:      GPL
Source0:      ocrad-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
GNU Ocrad is an OCR (Optical Character Recognition) program implemented
as a filter and based on a feature extraction method. It reads a bitmap
image in PBM format and outputs text in the ISO-8859-1 (Latin-1)
charset. It can be used as a stand-alone console application, or as a
back-end to other programs.

gocr is another interesting command line OCR tool. Both can be plugged
into Kooka, the KDE scan and OCR program.

Authors:
--------
    Antonio Diaz Diaz

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -n ocrad-%{version}
# %patch

%build
./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man
make CXXFLAGS='${RPM_OPT_FLAGS}'

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make install DESTDIR=$RPM_BUILD_ROOT
make install-man DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/usr/share/info/dir

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/ocrad
/usr/share/info/ocrad*
%doc %{_mandir}/man1/*
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS TODO examples/test.pbm
# spec file ends here

%changelog -n ocrad
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Mon Nov 20 2006 - slords@mail.com
- update to version 0.16:

* Mon Feb 21 2005 - freitag@suse.de
- update to version 0.11:
  * Improved algorithms again
  * bugfixes
* Thu Dec 16 2004 - freitag@suse.de
- update to version 0.10:
  * Improved algorithms
  * orf file changes
* Wed Jun 23 2004 - freitag@suse.de
- update to version 0.8:
  * Better algorithm for line detection.
  * New feature -x - (export ORF file to stdout).
  * Small improvements in image elimination.
* Tue Feb 10 2004 - freitag@suse.de
- update to version 0.7:
  * manpage added
  * utf8 output
  * better detection
* Wed Jan 28 2004 - freitag@suse.de
- update to version 0.6
* Mon Sep 08 2003 - freitag@suse.de
- update to version 0.4 - much better recognition results, better
  Makefile etc.
* Mon Aug 18 2003 - freitag@suse.de
- resetted version to original 0.3 version official from the author.
  I tried to convince him to use autoconf, but he does not want yet.
  In order to distribute the original package, I reverted my auto-
  conf version.
* Thu Jul 24 2003 - freitag@suse.de
- initial package
